@echo off
title My Game
cls

echo ===================================
echo =                                 =
echo =          THE PRO SNAKE          =
echo =                                 =
echo ===================================
echo.

::Specify compiling path
echo Getting thing ready . . . 
echo.
cd C:\Users\bedelia\Desktop\Entrega

::Removes old files
echo Removing old files . . . 
echo.
if exist Apple.o del Apple.o
if exist CargarObjetos.o del CargarObjetos.o
if exist Definiciones.o	del Definiciones.o
if exist EstadoJuego.o	del EstadoJuego.o
if exist Forma.o del Forma.o
if exist Forma_Esfera.o	del Forma_Esfera.o
if exist main.o	del main.o
if exist Menu.o	del Menu.o
if exist Motor_Eventos.o del Motor_Eventos.o
if exist Motor_Grafico.o del Motor_Grafico.o
if exist Motor_Juego.o del Motor_Juego.o
if exist Motor_Pantalla.o del Motor_Pantalla.o
if exist Objeto.o del Objeto.o
if exist Snake.o del Snake.o
if exist tinystr.o del tinystr.o
if exist tinyxml.o del tinyxml.o
if exist tinyxmlerror.o del tinyxmlerror.o
if exist tinyxmlparser.o del tinyxmlparser.o
if exist Snake.exe del Snake.exe

::Build the game
echo Compiling Game . . . 

@echo on
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Apple.cpp -o Apple.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c CargarObjetos.cpp -o CargarObjetos.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Definiciones.cpp -o Definiciones.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c EstadoJuego.cpp -o EstadoJuego.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Forma.cpp -o Forma.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Forma_Esfera.cpp -o Forma_Esfera.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c main.cpp -o main.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Menu.cpp -o Menu.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Motor_Eventos.cpp -o Motor_Eventos.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Motor_Grafico.cpp -o Motor_Grafico.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Motor_Juego.cpp -o Motor_Juego.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Motor_Pantalla.cpp -o Motor_Pantalla.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Objeto.cpp -o Objeto.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c Snake.cpp -o Snake.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c tinystr.cpp -o tinystr.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c tinyxml.cpp -o tinyxml.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c tinyxmlerror.cpp -o tinyxmlerror.o
g++ -Wextra -w -Wall -ISDL-1.2.15\include -Iglut -IFreeImage -c tinyxmlparser.cpp -o tinyxmlparser.o
g++ -LSDL-1.2.15\lib -Lglut -LFreeImage -o Snake.exe Apple.o CargarObjetos.o Definiciones.o EstadoJuego.o Forma.o Forma_Esfera.o main.o Menu.o Motor_Eventos.o Motor_Grafico.o Motor_Juego.o Motor_Pantalla.o Objeto.o Snake.o tinystr.o tinyxml.o tinyxmlerror.o tinyxmlparser.o -lmingw32 -lSDLmain -lSDL -lopengl32 -lglu32 -glut32 SDL-1.2.15\lib\libSDLmain.a SDL-1.2.15\lib\SDL_ttf.lib SDL-1.2.15\lib\SDL_image.lib SDL-1.2.15\lib\libSDL.dll.a FreeImage\FreeImage.lib -mwindows
@echo off
echo.

if exist Snake.exe (
	echo Compiling successfully.
) else (
	echo Compiling failure.
)

::Pause
pause

::Exit
exit